package com.alibaba.druid.sql.ast;

import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLCurrentUserExpr extends SQLExprImpl {
   protected void accept0(SQLASTVisitor v) {
      v.visit(this);
      v.endVisit(this);
   }

   public boolean equals(Object o) {
      if (o == null) {
         return false;
      } else if (this == o) {
         return true;
      } else {
         return this.getClass() == o.getClass();
      }
   }

   public int hashCode() {
      return 0;
   }

   public SQLCurrentUserExpr clone() {
      return new SQLCurrentUserExpr();
   }
}
